#include <getopt.h>
#include <stdlib.h>
#include <vdr/interface.h>
#include <vdr/plugin.h>


class cDVDList  : public cOsdMenu {
 public:
  cDVDList(void);
  ~cDVDList();
  virtual eOSState ProcessKey(eKeys Key);
  
 private:
  eOSState Mount();
  eOSState Delete();
  eOSState Reset();
  eOSState Start();
  eOSState DVDWriteScript();
  eOSState ReadDVDMenue();
  void SetHelp();
};


// --- cMenuReadDVD --------------------------------------------------------

class cMenuReadDVD : public cOsdMenu {
public:
  cMenuReadDVD(void);
  virtual ~cMenuReadDVD();
  virtual eOSState ProcessKey(eKeys Key);
private:
  char name[MaxFileName];
  void SetHelp();
};

